0

La version de WPML 2.6.4 est prête. Elle inclut quelques-uns des derniers correctifs aux problèmes liés à WordPress 3.5 et l’assistance multilingue tant attendue pour les commentaire de Disqus.

L’assistance pour Disqus ne comprend ni interface graphique ni rien à configurer. Si vous utilisez la version la plus récente du plug-in WordPress Disqus et mettez à jour WPML vers la version 2.6.4, tout devrait parfaitement fonctionner.

Vous verrez la section des commentaires localisée dans la langue de la page. Cette intégration a été rendue possible grâce à une étroite collaboration avec les développeurs de Disqus, qui ont ajouté les filtres nécessaires permettant à WPML de configurer la langue actuelle.

Les autres modifications dans cette version sont surtout des petites corrections de bogues.

WPML 2.6.4 ajuste le sélecteur de langue pour les pages de produits sur certains sites d’e-commerce, archive la traduction des lignes-blocs des pages, sélectionne par défaut les paramètres régionaux pour le chinois et le finlandais pour la traduction des bases de WordPress, et apporte quelques améliorations de robustesse pour nos fichiers de configuration de langues.

À venir

Nous avons constaté quelques problèmes avec la synchronisation de menu. Si vous traduisez les menus manuellement, cela ne vous affectera pas, mais si vous synchronisez les menus avec WPML, il se peut qu’il arrive que certains éléments de menu ne se positionnent pas correctement.

Il s’agit d’un algorithme super-compliqué, et nous allons passer un peu de temps à le rendre plus agile. La prochaine version inclura une réécriture de certaines parties du code d’insertion des menus.

Après cela, nous passerons à nouveau du temps à développer davantage de fonctionnalités pour WPML. Nous avons déjà une liste complète des nouvelles fonctionnalités à venir et j’en écrirai un peu plus lorsque nous débuterons.

Obtenir WPML 2.6.4

Vous trouverez cette nouvelle version sur la page de votre compte WPML.org. Comme précédemment, nous vous encourageons à recevoir des mises à jour automatiques via notre plug-in Installer.